package cn.quant.baa.pay.model.web;

import java.time.LocalDateTime;

/**
 * Created by Administrator on 2021/9/27 0027.
 */
public class CallbackRequestData {
    private Long chanId;

    private Long accountId;

    private String orderNo;

    private LocalDateTime successTime;

    private String chanTransactionId;

    private String tradeState;

    private String tradeStateDesc;

    private String checkCode;

    public Long getChanId() {
        return chanId;
    }

    public void setChanId(Long chanId) {
        this.chanId = chanId;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public LocalDateTime getSuccessTime() {
        return successTime;
    }

    public void setSuccessTime(LocalDateTime successTime) {
        this.successTime = successTime;
    }

    public String getChanTransactionId() {
        return chanTransactionId;
    }

    public void setChanTransactionId(String chanTransactionId) {
        this.chanTransactionId = chanTransactionId;
    }

    public String getTradeState() {
        return tradeState;
    }

    public void setTradeState(String tradeState) {
        this.tradeState = tradeState;
    }

    public String getTradeStateDesc() {
        return tradeStateDesc;
    }

    public void setTradeStateDesc(String tradeStateDesc) {
        this.tradeStateDesc = tradeStateDesc;
    }

    public String getCheckCode() {
        return checkCode;
    }

    public void setCheckCode(String checkCode) {
        this.checkCode = checkCode;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("CallbackRequestData{");
        sb.append("chanId=").append(chanId);
        sb.append(", accountId=").append(accountId);
        sb.append(", orderNo='").append(orderNo).append('\'');
        sb.append(", successTime=").append(successTime);
        sb.append(", chanTransactionId='").append(chanTransactionId).append('\'');
        sb.append(", tradeState='").append(tradeState).append('\'');
        sb.append(", tradeStateDesc='").append(tradeStateDesc).append('\'');
        sb.append(", checkCode='").append(checkCode).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
